Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005186TestLinkCustom fields ON FILTERSpublic2012-08-30 06:582012-11-03 17:16
Reporterasimon 
Assigned Toasimon 
PriorityhighSeveritymajorReproducibilityalways
StatusnewResolutionfixed 
PlatformOSOS Version
Product Version1.9.4 Preview 
Fixed in Version 
Summary0005186: Filtering by the value of custom fields on test specification is not working
DescriptionFiltering by the value of a custom field in test specification is not working. It always shows all test cases of the project, regardless of which value has been chosen in the filter panel.
Steps To Reproduce1. Create a new test project "filter test".
2. In that test project, create a testsuite "suite 1" and two test cases "test case 1" and "test case 2".
3. Create new custom field, e.g. with the following preferences:
   - Name "CF_TC_STATUS"
   - Label "Status"
   - Available for "Test Case"
   - Type "list"
   - possible values: "draft|needs review|needs rework|ready|"
   - enable on "Test Spec Design"
   - Display on test execution "Yes"
4. Assign this custom field to test project "filter test".
5. Edit test case 1, set "Status" to "needs rework".
6. Now try to filter by value "needs rework" of this custom field in test specification.
=> It will always display all test cases, regardless of which value of the custom field has been chosen in the filter panel.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserGoogle Chrome
PHP Version5.3.3
TestCaseIDTL-157
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0005193closedfman Availables hot-fixes for 1.9.4 & How To get full fixed package from gitorious 

-  Notes
(0017179)
fman (administrator)
2012-08-30 07:54

This has not been implemented yet, and probably will be released this way.
(0017180)
asimon (developer)
2012-08-30 07:58

Would be a regression - it was working in version 1.9.3
(0017466)
asimon (developer)
2012-09-13 11:45

Fixed for branch 1.9: https://gitorious.org/testlink-ga/testlink-code/commit/4c28332fb09dbf979bd8d95c75ae8864da0abe7e [^]
No fix necessary for master.

Note: This fix is only for custom field filtering on test specification, not on test execution. Filtering on test execution still has to be implemented. I'll open another ticket for that.
(0017470)
fman (administrator)
2012-09-13 15:27

fix on master is MANDATORY
(0017766)
fman (administrator)
2012-11-03 17:16

After addition of Active/Inactive test case filter, the logic of this filter need to be reviewed, to do search following Active/Inactive.

1. Active/Inactive: All versions are inactive
this filter has to use latest version WITHOUT considering active/inactive status on tcversions table

2. Active/Inactive: ANY
3. Active/Inactive: Al least ON ACTIVE Version
We can do current logic i.e. SEARCH ONLY ON LATEST ACTIVE VERSION

- Issue History
Date Modified Username Field Change
2012-08-30 06:58 asimon New Issue
2012-08-30 07:39 asimon TestCaseID => TL-157
2012-08-30 07:54 fman Note Added: 0017179
2012-08-30 07:58 asimon Note Added: 0017180
2012-09-13 11:41 asimon Assigned To => asimon
2012-09-13 11:41 asimon Status new => assigned
2012-09-13 11:45 asimon Task Workflow Status TBD => READY FOR TESTING
2012-09-13 11:45 asimon Note Added: 0017466
2012-09-13 11:45 asimon Status assigned => resolved
2012-09-13 11:45 asimon Resolution open => fixed
2012-09-13 11:46 asimon Relationship added child of 0005193
2012-09-13 15:27 fman Note Added: 0017470
2012-11-03 17:16 fman Note Added: 0017766
2012-11-03 17:16 fman Status resolved => new



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker